#ifndef BASICGEOMETRY_H
#define BASICGEOMETRY_H


class BasicGeometry
{
public:
    BasicGeometry();
    virtual void set_color(int red,int green, int blue)=0;

     virtual void set_unit(QString unit)=0;

    virtual void set_move(bool isMove)=0;


    // points
    virtual void add_points(int x,int y)=0;
    virtual int get_point_id()=0;
    virtual void remove_by_id()=0;// 删除一个点之后，是否遍历拓扑表删除和这个点相关的所有数据

    // topology
    virtual void add_topology()=0;
    virtual int get_topology_id()=0;
    virtual void remove_by_id()=0;

    // rgb
    virtual int red()=0;
    virtual int green()=0;
    virtual int blue()=0;

    virtual QString unit()=0;
    virtual bool isMove()=0;

};

#endif // BASICGEOMETRY_H
