#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "QtGui"

#include <QPainter>

#include <QPaintEvent>
#include <QPainter>
#include <QPainterPathStroker>
#include <QPen>

#include "fault.h"
#include "contour.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;
    QPainterPath rectPath;
    QPainterPath outline;
    QPainter painter;
    int x;
    int y;
    double scalex;
    double scaley;
    Contour c;
    bool isPressed;
    int iPoint;
    QVector<Fault>vf;
    Fault f;


    // QWidget interface
protected:
    void mouseReleaseEvent(QMouseEvent *);
    void mouseMoveEvent(QMouseEvent *);
    void paintEvent(QPaintEvent *event);
    void mousePressEvent(QMouseEvent *event);
};

#endif // MAINWINDOW_H
